Bug 16995 - Remove event attributes from two include files
Summary: Remove event attributes from two include files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-28 18:32 UTC by Owen Leonard
Modified: 2017-12-07 22:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16995 - Remove event attributes from two include files (3.21 KB, patch)
2016-07-28 18:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16995 - Remove event attributes from two include files (3.22 KB, patch)
2016-07-29 13:52 UTC, Claire Gravely
Details | Diff | Splinter Review
[PASSED QA] Bug 16995 - Remove event attributes from two include files (3.29 KB, patch)
2016-07-31 21:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-07-28 18:32:20 UTC
cat-toolbar.inc and members-toolbar.inc contain event attributes which should be removed in favor of defining events in JavaScript.
Comment 1 Owen Leonard 2016-07-28 18:38:04 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-07-29 13:52:39 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-07-31 21:37:06 UTC
Created attachment 53822 [details] [review]
[PASSED QA] Bug 16995 - Remove event attributes from two include files

This patch removes event attributes from two include files:
cat-toolbar.inc and members-toolbar.inc.

In cat-toolbar.inc an unused <form> tag with an "onsubmit" attribute has
been removed.

To test, apply the patch and:

- View the detail page for any bibliographic record. All toolbar buttons
  ("New," "Edit," "Save," etc.) should work as expected.
- View the detail page for any patron. Click the "Add message" button in
  the toolbar. Selecting a predefined note should correctly populate the
  textarea with your selected message.

Signed-off-by: Claire Gravely <c.gravely@arts.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-09-09 14:28:28 UTC
Pushed to master for 16.11, thanks Owen!